package com.mortals.xhx.module.capture.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * 照片信息
 * @author: zxfei
 * @date: 2024/1/2 9:54
 */
@Data
public class File {

    /**
     *  文件名
     *  1.jpg
     */
    private String filename;

    /**
     *  文件类型 base64
     *  data:image/jpg;base64,/8j/4AAQSkZJRgABAQEAYABgAAD/2wBDAAgGBgcGBQgHBwcJCQgKDBQ//2Q==
     */
    @JSONField(name="Base64String")
    @JsonProperty("Base64String")
    private  String Base64String;

}
